Subject: Re: FVWM: How to "ignore" application-specified icons?

From: [email-masked] (Martin Cartwright)
Date: Fri, 13 Dec 1996 18:06:51 GMT

=> From [email-masked] Fri Dec 13 17:00:19 1996
=> Date: Fri, 13 Dec 96 11:38:17 EST
=> From: Steve Tynor <[email-masked]>
=> To: [email-masked] (Martin Cartwright)
=> Cc: [email-masked]
=> Subject: Re: FVWM: How to "ignore" application-specified icons?
=> 
=> [email-masked] (Martin Cartwright) suggested:
=> 
=> | => From [email-masked] Fri Dec 13 15:46:49 1996
=> | => 
=> | => Is it possible to get FVWM to ignore application-specified icons? I
=> | => don't use FvwmIconBox or FvwmIconMan, just the standard "iconbox" Style
=> | => -- my icons end up on the desktop. 
=> | => 
=> | => The problem is that I really don't like big 24x24 or 32x32 icons. I much
=> | => prefer a simple box with just the window name in it (no graphics). This
=> | => is how my XTerms iconify. I want to force my XEmacs's and Netscapes to
=> | => do the same, but can't figure out how. 
=> | => 
=> | => Is there something I can set in my .fvwm2rc?  Maybe in my .Xdefaults?
=> | => I've tried to RTFM, but I can't find anything in the fvwm man page.
=> | => 
=> | What you could try is creating a small blank xpm icon, say 10x1 pixels
=> | and make all the pixels transparent. Call it blank.xpm or something similar 
=> | and then override Netscape's icons with a line like
=> | 
=> | Style "Netscape" Icon blank.xpm 
=> | 
=> | in your .fvwm2rc.
=> | Then when you restart you'll just have a little text box.
=> 
=> Thanks for the suggestion, but it didn't work. Here's the .xpm file I
=> created: 
<snip>
=> 
=> More ideas?
=> 
=> Steve
Well You had

 Style "*" Icon Transparent.xpm

Whereas I have 

 Style "*" Icon question.xpm

yet my netscape uses it's own icon

however if I add 

Style "Netscape" Icon netscape.xpm

it uses the pixmap instead so try specifying the individual applications 
or at least classes/resources...

good luck...

[email-masked] - http://star.pst.qub.ac.uk/~imc/vom.htm
-/-----------------------------------------------------------\-
|  "No challenge should be faced without a little charm,      |
|   and a lot of style."				      |
-\-----------------------------------------------------------/-

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].